<div align="right">
<a href='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-ui-components/badges/master/pipeline.svg'><img src='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-ui-components/badges/master/pipeline.svg' alt='Pipeline Badge' /></a>
<a href='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-ui-components/-/badges/release.svg'><img src='https://code.tls.nuskin.io/ns-am/content-foundation/foundation-ui-components/-/badges/release.svg' alt='Latest Release Badge' /></a>
<a href='https://img.shields.io/npm/dt/%40nuskin/foundation-ui-components'><img src='https://img.shields.io/npm/dt/%40nuskin/foundation-ui-components' alt='Downloads Badge' /></a>
</div>

# @nuskin/foundation-ui-components

This comprehensive library houses a collection of reusable React components specifically designed for NuSkin Pages. These components are meticulously crafted to ensure consistent UI/UX across all NuSkin digital properties, fostering a seamless user experience.

## Releases

### [CHANGELOG](https://code.tls.nuskin.io/ns-am/content-foundation/foundation-ui-components/-/blob/master/CHANGELOG.md)

## Installation Guide

To integrate the NuSkin React Components Library into your NuSkin Pages project, follow these steps:

### Clone the repository to your local machine

```shell
git clone git@code.tls.nuskin.io:ns-am/content-foundation/foundation-ui-components.git
```

## Running the project

### Run the main application using yarn

```shell
yarn dev
```

### Storybook

See how React components look and behave in isolation using Storybook. To get started, follow these steps:

#### Run storybook using yarn.

```shell
yarn storybook
```

#### To view the Storybook, use the following URLs

| Environment | URL                                                     |
| ----------- | ------------------------------------------------------- |
| Local       | http://localhost:6007                                   |
| Test        | https://test.nuskin.com/static/foundation-ui-components |

## Usage

The following example illustrates how to use this project

```shell
import { NsButton } from '@nuskin/foundation-ui-components';
const Page = () => {
  return (
    <NsButton variant="contained" color="primary">
      Sample
    </NsButton>
  );
};
```

## Dependencies

This project relies on the following dependencies:

**Emotion UI Libraries**

-   `@emotion/react@^11.11.1`
-   `@emotion/styled@^11.11.0`

**Material-UI Libraries**

-   `@mui/material@5.14.16`
-   `@mui/icons-material@^5.14.16`
-   `@mui/utils@^5.14.16`

**NuSkin Foundation Theme**

-   `@nuskin/foundation-theme@1.2.0`

**Carousel Libraries**

-   `react-material-ui-carousel@^3.4.2`
-   `react-slick@^0.29.0`
-   `slick-carousel@^1.8.1`

**Other Libraries**

-   `cliui@^8.0.1`
-   `framer-motion@^10.16.4`

## Testing

We use Jest for testing our project. Below are the available test scripts:

-   Run all tests and generate coverage report:\*\*
    ```bash
    yarn test
    ```
-   Run tests for a specific pattern (e.g., accordion/\*):
    ```bash
    yarn run test:pattern
    ```
-   Run only failed tests from the last test run:
    ```bash
    yarn run test:failed
    ```
-   Generate and view code coverage report:

    ```bash
    yarn run test:coverage
    ```

-   The yarn test script builds the project using Next.js before running Jest tests.
-   Feel free to customize the test patterns or add additional options as needed.

### Coverage Report:

After running tests, open the `index.html` file in the `coverage` directory to view the coverage report.
