import React from 'react';
import { render } from '@testing-library/react';
import { NsBanner } from '@/common/';

describe('Hero component', () => {
    const childText = 'Welcome to My Website';
    const imageURL = 'https://example.com/banner.jpg';
    it('1. renders banner image and title', () => {
        const { getByAltText, getByText } = render(
            <NsBanner imageUrl={imageURL} altText="Banner image">
                <h1>{childText}</h1>
            </NsBanner>
        );
        const childElement = getByText(childText);
        const imageElement = getByAltText('Banner image');
        expect(childElement).toBeInTheDocument();
        expect(imageElement).toBeInTheDocument();
    });
    it('2. renders banner image and title without altText', () => {
        const { getByAltText } = render(
            <NsBanner imageUrl={imageURL}>
                <h1>{childText}</h1>
            </NsBanner>
        );
        const imageElement = getByAltText('NsBanner');
        expect(imageElement).toBeInTheDocument();
    });
});
