import { render } from '@testing-library/react';
import NsBgCard from '../NsBgCard';

describe('NsBgCard component', () => {
    const props = {
        backgroundImageUrl: 'https://media.nuskin.com/m/6245528b8f76ad32/webimage-brand-ageLOC.png',
    };
    it('1. renders with background image', () => {
        const { container } = render(<NsBgCard {...props} />);
        const cardElement = container.querySelector('div');
        expect(cardElement).toHaveStyle(`
    background-image: url(${props.backgroundImageUrl});
    `);
    });
    it('2. renders with cover size', () => {
        const { container } = render(<NsBgCard {...props} />);
        const cardElement = container.querySelector('div');
        expect(cardElement).toHaveStyle(`
      background-size: cover;
      background-position: center;
    `);
    });
});
