import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

import { NsMediumCard } from '../';

type ComponentType = typeof NsMediumCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsMediumCard,
    title: 'Components/Containers/Card/NsMediumCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        title: 'Sustainability',
        titleFontWeight: 'bold',
        subtitle:
            'We’re committed to keeping our global communities clean, safe, and protected for the future. We’re proud to embrace sustainable practices today for a resource-rich tomorrow.',
        backgroundImageUrl: `${host}/m/3353b9c05cb83860/Small-category-facial_moisturizers.jpg`,
        backgroundImageAlt: 'Lumi Spa',
        button: {
            showButton: true,
            buttonText: 'SEE WHAT WE’RE DOING',
            buttonVariant: 'outlined',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
        },
        fluid: false,
    },
};
