import { DialogContent } from '@mui/material';
import NsModalTitle from './NsModalTitle';
import { NsModalComponentProps } from '../types';
import { ModalFooter } from '../NsModal.styled';
import { Show } from '../../utility';

const NsDefaultModal = ({ header, handleClose, body, footer, additionalProps }: NsModalComponentProps) => {
    const { dividers } = additionalProps || {};

    return (
        <div data-testid="modal-default">
            <NsModalTitle header={header} handleClose={handleClose} />
            <DialogContent dividers={dividers}>
                <Show when={body?.show ?? false}>
                    <div data-testid="modal-body-content">{body?.children}</div>
                </Show>
                <Show when={footer?.show ?? false}>
                    <ModalFooter data-testid="modal-footer">{footer?.children}</ModalFooter>
                </Show>
            </DialogContent>
        </div>
    );
};

export default NsDefaultModal;
