import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { StoryObj, Meta } from '@storybook/react';
import NsProgress from './NsProgress';
import { PaletteColors } from '@nuskin/foundation-theme';

type ComponentType = typeof NsProgress;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsProgress,
    title: 'Components/Inputs/NsProgress',
    decorators: [withCenterDecorator],
    argTypes: {
        barColor: {
            control: 'select',
            options: PaletteColors,
            description: 'defines the color for the completed progress',
        },
        height: {
            description: 'height of the bar',
        },
        value: {
            description: 'value of the progress done',
        },
        backgroundColor: {
            control: 'select',
            options: PaletteColors,
            description: 'color of incomplete progress',
        },
    },
} as MetaStory;

export const ProgressBar: Story = {
    args: {
        barColor: 'primary',
        backgroundColor: 'secondary',
        value: 40,
        height: '10px',
        body: <span>{'% Complete'}</span>,
    },
};
