import { FoundationTheme } from '@nuskin/foundation-theme';
import { RadioGroupProps } from '@mui/material';
import { AdditionalProps } from '../common.types';

export type NsRadioGroupProps = Pick<RadioGroupProps, 'name' | 'onChange' | 'value' | 'defaultValue' | 'row'> & {
    disable: boolean;
    helperText: string;
    label: string;
    items: RadioItems[];
    color: FoundationTheme.PaletteColors;
    size: number;
    labelFontSize: number;
} & AdditionalProps;

export type RadioItems = {
    label: string;
    value: string | number;
    id: string | number;
};
