import React from 'react';

import { StyledSelectOption } from './NsSelect.styled';
import { SelectOptionProps } from './types.d';

export const NsSelectOption: React.FC<SelectOptionProps> = ({
    value,
    label,
    onClick,
    selected,
    showListDivider = true,
}) => {
    const isSelected = value === selected?.value;
    return (
        <StyledSelectOption
            className={isSelected ? 'selected-option' : ''}
            data-testid={`option-${value}`}
            showListDivider={showListDivider}
            onClick={onClick}
        >
            {label}
        </StyledSelectOption>
    );
};
export default NsSelectOption;

