/**
 * NsTextStrip.stories.tsx
 * @description NsTextStrip component.
 */

import { NsTextStrip } from '@/common/';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

type ComponentType = typeof NsTextStrip;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/NsTextStrip',
    component: NsTextStrip,
    decorators: [withCenterDecorator],
    argTypes: {
        alignment: {
            control: 'select',
            options: ['center', 'start', 'end'],
            description: 'specify whether items should be in center, start or end',
        },
    },
    args: {
        description: 'Download the app to access everything Nike. View Details',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Free Delivery' },
        alignment: 'center',
    },
} as MetaStory;

export const DefaultTextStrip: Story = {};
export const NoDescription: Story = {
    args: {
        description: '',
        link: {
            href: 'https://www.nike.com/in/help/a/shipping-delivery-gs',
            title: 'Shop All Our New Markdowns, New Styles on Sale: Up to 40% Off (empty description)',
        },
        alignment: 'center',
    },
};
export const LongDescription: Story = {
    args: {
        description:
            'Download the app to access everything Nike Download the app to access everything Nike Download the app to access everything Nike Download the app to access everything Nike',
        link: {
            href: 'https://www.nike.com/in/help/a/shipping-delivery-gs',
            title: 'Shop All Our New Markdowns, New Styles on Sale: Up to 40% Off (empty description)',
        },
        alignment: 'center',
    },
};

export const NoTitle: Story = {
    args: {
        description: 'Empty href Empty href Empty href Empty href Empty href Empty href Empty href Empty href',
        link: { href: '', title: '' },
        alignment: 'center',
    },
};
