import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsTypography } from './';

type ComponentType = typeof NsTypography;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/NsTypography',
    component: NsTypography,
    decorators: [withCenterDecorator],
    argTypes: {
        children: {
            control: 'text',
            name: 'Children/Text',
            defaultValue: 'NsTypography',
        },
    },
    args: {
        children: 'NsTypography',
        color: 'primary',
        renderHTMLNode:true
    },
} as MetaStory;

export const Typography: Story = {};
